For the complete documentation index, see llms.txt. This page is also available as Markdown.

Network profiles data (experimental)

Returns profile data for networks. Results are ordered by network. To fetch the next page of results use next_page_url JSON response field.

get
Authorizations
api_keystringRequired

Coin Metrics API key can be specified as ?api_key= query parameter.

Query parameters
networksstring[]Optional

Comma separated list of networks.
By default profile data for all networks is returned. Mutually exclusive with full_names parameter.

full_namesstring[]Optional

Comma separated list of network full names.
By default profile data for all networks is returned. Mutually exclusive with networks parameter.

page_sizeinteger · int32 · min: 1 · max: 10000Optional

Number of items per single page of results.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Default: 100
paging_fromstring · enumOptional

Where does the first page start, at the start of the interval or at the end.
The value of this parameter is ignored if the endpoint supports the format parameter and its value is set to json_stream.

Default: startPossible values:
next_page_tokenstringOptional

Token for receiving the results from the next page of a query.
Should not be used directly. To iterate through pages just use next_page_url response field.

prettybooleanOptional

Human-readable formatting of JSON responses.

Default: false
Responses
200

Network profiles data.

application/json
next_page_tokenstringOptional

Token of the next page results for a given request.

next_page_urlstringOptional

URL of the next page results for a given request.

get/profile/networks
curl --compressed "https://api.coinmetrics.io/v4/profile/networks?api_key=<your_key>"
{
  "data": [
    {
      "full_name": "Solana",
      "network": "sol",
      "modular_or_monolithic": "Monolithic",
      "overview": "Solana (SOL) is a smart contract compatible layer one blockchain that supports high speed transactions using a proof-of-history consensus mechanism. Solana was built to support high frequency blockchain applications by addressing scalability, decentralization, and cost issues. Solana is capable of executing 65,000 transactions per second and 400 ms block times using a proof-of-history consensus protocol. Nodes on the blockchain often struggle to determine an accurate timeline of events due to issues of latency and slow network speeds. Solana is able to create a synchronized clock for each node using a variable delay function with a fixed runtime and verifiable solution ultimately creating the proof-of-history consensus mechanism. Solana’s Tower Byzantine Fault Tolerance (BFT) Consensus Mechanism utilizes proof-of-history to latency and increase speeds. BFT ensures more efficient finality because once two-thirds of the validators have agreed on a certain order of events the timeline is finalized. The Solana main chain uses proof-of-delegated stake where SOL holders can stake themselves or delegate to a validator and earn passive returns.",
      "consensus_mechanism": "Proof-of-Stake: Proof-of-History",
      "hashing_algorithm": "SHA256",
      "transaction_finality": "No Fixed Finality Threshold",
      "available_clients": [
        "Rust Client"
      ],
      "smart_contract_deployment": "Permissionless",
      "foundation": [
        "Solana Foundation: Non-profit foundation focused on decentralizing the network by providing grants, validator delegations, and server programs",
        "Solana Labs: Organization building and implementing products and tooling to expand the Solana ecosystem"
      ],
      "founding_team_identity": "Known",
      "repository": [
        {
          "github_repository": "Solana Core",
          "github_url": "github.com/solana-labs/solana"
        }
      ],
      "transaction_visibility": "Visible",
      "native_fee_token": "SOL",
      "significant_historical_changes": [
        {
          "date": "2020-10-07",
          "details": "Solana announced its integration with Wormhole to support cross-chain message and asset transfers with Ethereum"
        },
        {
          "date": "2022-12-13",
          "details": "Solana made its QUIC implementation the official message propogation standard for transactions in upgrade 1.13.4"
        },
        {
          "date": "2024-01-24",
          "details": "Solana's Token Extensions program was released to increase token customizability for issuers"
        }
      ],
      "rollup_info": [
        {
          "rollup_type": "N/A",
          "state_validation": "N/A"
        }
      ],
      "network_scaling_solution": "true",
      "type_of_network": "Blockchain",
      "chain_explorers": [
        "https://solscan.io/",
        "https://explorer.solana.com/",
        "https://solanabeach.io/",
        "https://solana.fm/"
      ]
    }
  ],
  "next_page_token": "ZXRo",
  "next_page_url": "https://api.coinmetrics.io/v4/profile/networks?api_key=<your_key>&pretty=true&next_page_token=ZXRo"
}

Last updated